Subject: bug#50143: 28.0.50; Various issues with `tamil-itrans' input method

From: Visuwesh <[email-masked]>
Date: Sun, 13 Mar 2022 14:31:33 +0530

[ஞாயிறு, மார்ச் 13 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 13 Mar 2022 12:46:52 +0530
>> 
>> >>     1. There's still a problem with tamil-itrans docstring.  It
>> >>        currently leads the user into thinking that they can input the
>> >>        Tamil digits.  The problem is that I am not sure how I can split
>> >>        `quail-tamil-itrans-various-signs-and-digits-table' into two
>> >>        cleanly.  Ideas are welcome.
>> >
>> > I'd split into two parts the code that computes
>> > quail-tamil-itrans-various-signs-and-digits-table, such that the Tamil
>> > digits are in a separate part.  Then change the doc strings of the two
>> > input methods so that the digits part is only included in the
>> > documentation of the input method that supports their insertion.
>> >
>> 
>> How does the updated patch look?
>
> LGTM, installed.
>
>> >>    2. The problem with the include variable syntax is because `quail-help'
>> >>       (which is used eventually by `describe-input-method') calls
>> >>       `substitute-command-keys' on the docstring so to get the intended
>> >>       behaviour, one has to write \\=\\<VAR> not \\<VAR>.  The logic,
>> >>       otherwise, is fine.  Maybe this needs to be documented?
>> >
>> > Yes, please.
>> >
>> 
>> I tried to fix this, please see attached patch,
>
> Thanks, installed.
>

Thanks!  BTW, I noticed that I have a typo that you missed,

     ** 'indian-tml-itrans-v5-hash' no longer translates digits.
     Use 'indian-tml-itrans-digits-v5-hash' if you digits translation.

should be

    ** 'indian-tml-itrans-v5-hash' no longer translates digits.
    Use 'indian-tml-itrans-digits-v5-hash' if you want digits
    translation.                                    

(i.e., I missed a "want" between "you" and "digits")

>> > Btw, the patch is already close to the limit of what we can accept
>> > without copyright assignment, so would you like to start your legal
>> > paperwork rolling at this time, so that we could in the future accept
>> > more contributions from you?  If yes, I will send you the form to fill
>> > and the instructions to go with that.
>> >
>> 
>> BTW, I sent the mail to [email-masked] on 23rd Feb, and haven't heard
>> from them yet.
>
> Please send a reminder to them and CC me.  Thanks.

I have done that, thanks.